## Settings file was created by plugin Tyfon.UIFixes v5.1.2
## Plugin GUID: Tyfon.UIFixes

[A. Interface]

## After receiving items from a transfer, reopen the messages window where you left off
# Setting type: Boolean
# Default value: true
Keep Messages Window Open = true

## Auto-select matching items when turning in quest items. Like pushing the AUTO button for you.
# Setting type: Boolean
# Default value: true
Autofill Quest Item Turn-ins = true

## Open context menu sub-menu to the right, as BSG intended but failed to do
# Setting type: Boolean
# Default value: true
Context Menu Flyout on Right = true

## Allow the context menu to work while searching
# Setting type: Boolean
# Default value: false
Allow Context Menu While Searching = false

## Keybinds with display names longer than 2 characters will be shortened to '...' with a hover tooltip
# Setting type: Boolean
# Default value: true
Hide Long Quickbar Keybinds = true

## The client waits this long to batch inventory operations before sending them to the server. Vanilla Tarkov is 60 (!)
# Setting type: Int32
# Default value: 15
# Acceptable value range: From 0 to 60
Server Operation Queue Time = 15

## Constrain dragging to the left mouse, when shift is not down. Leave this setting enabled to minimize conflicts with the multiselect box.
# Setting type: Boolean
# Default value: true
Limit Nonstandard Drags = true

## In scroll views that load content dynamically, scroll down as the content loads to restore old scroll position
# Setting type: Boolean
# Default value: true
Restore Async Scroll Positions = true

## Clear the default mag preset name and improve the mag preset UI. Disable this to restore the wonky default UI.
# Setting type: Boolean
# Default value: true
Remove Default Mag Preset Name = true

## For some reason vanilla EFT shows the Load From Preset context menu on bullets. It serves no purpose
# Setting type: Boolean
# Default value: false
Mag Presets Context Menu on Bullets = false

[B. Dialogs]

## When to show a confirmation dialog when you leave and/or close an unsaved weapon preset
# Setting type: WeaponPresetConfirmationOption
# Default value: OnClose
# Acceptable values: Never, OnClose, Always
Show Weapon Preset Confirmation Dialog = OnClose

## Save weapon presets without being prompted to confirm the name of the preset. Save As will prompt as normal.
# Setting type: Boolean
# Default value: true
One Click Save Weapon Presets = true

## Shows the built-in stock presets from the list of available build presets
# Setting type: Boolean
# Default value: true
Show Stock Weapon Presets = true

## When to show the confirmation dialog when you close the item transfer screen without taking all the items
# Setting type: TransferConfirmationOption
# Default value: Never
# Acceptable values: Never, Always
Show Transfer Items Confirmation Dialog = Never

## Clicking outside of a popup dialog will close the dialog
# Setting type: Boolean
# Default value: true
Click Outside of Dialogs to Close = true

[C. Gameplay]

## Tap the aim key to toggle aiming, or hold the key for continuous aiming
# Setting type: Boolean
# Default value: false
Use Toggle/Hold Aiming = false

## Tap the interact key to begin interacting, and tap again to stop, or hold the key for continuous interaction
# Setting type: Boolean
# Default value: false
Use Toggle/Hold Interaction = false

## Tap the sprint key to toggle sprinting, or hold the key for continuous sprinting
# Setting type: Boolean
# Default value: false
Use Toggle/Hold Sprint = false

## Tap the tactical device key to toggle your tactical device, or hold the key for continuous. Note that this will override Tarkov's new 'Tactical device activation mode'
# Setting type: Boolean
# Default value: false
Use Toggle/Hold Tactical Device = false

## Tap the headlight key to toggle your headlight, or hold the key for continuous
# Setting type: Boolean
# Default value: false
Use Toggle/Hold Headlight = false

## Tap the goggles key to toggle night vision/goggles/faceshield, or hold the key for continuous
# Setting type: Boolean
# Default value: false
Use Toggle/Hold Goggles = false

## Prevent mousewheel actions in the inventory from affecting your scope zoom
# Setting type: Boolean
# Default value: true
Prevent Scope Zoom in Inventory = true

## Fix for variable scope bug that spams errors and eventually bricks your raid. Only enabled when Fika is NOT present, since Fika has the same fix.
# Setting type: Boolean
# Default value: true
Variable Scope Fix (requires restart) = true

## Enable the modification of equipped weapons, including vital parts, out of raid
# Setting type: Boolean
# Default value: true
Modify Equipped Weapons = true

## When to enable the modification of vital parts of unequipped weapons, in raid
# Setting type: ModRaidWeapon
# Default value: Never
# Acceptable values: Never, WithTool, Always
Modify Weapons In Raid = Never

## Allow armor plates to be removed and inserted on equipped armor, in raid
# Setting type: Boolean
# Default value: false
Modify Equipped Armor Plates In Raid = false

## Hides actions you can't actually do, like "Bang and Clear", etc from locked doors
# Setting type: Boolean
# Default value: true
Hide Unimplemented Door Actions = true

## Allows ammo to be loaded through the magazine context menu while in a raid
# Setting type: Boolean
# Default value: true
Enable Load Ammo Context Menu = true

## After throwing a grenade that had a quickbind, move the quickbind to another grenade of the same type, if you have one
# Setting type: Boolean
# Default value: true
Quickbind Matching Grenade After Throw = true

## After finish a med, food, or drink item that had a quickbind, move the quickbind to another item of the same type, if you have one
# Setting type: Boolean
# Default value: true
Quickbind Matching Consumable After Use = true

[D. Mouse]

## Unlock cursor in Windowed, Maximized Windowed, and FullScreen Windowed modes. Note that you must alt-tab out of the game and back in for this to take effect.
# Setting type: Boolean
# Default value: true
Unlock Cursor = true

## How many rows to scroll with the mousewheel
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 1 to 10
Mousewheel Scrolling Speed = 1

## Whether to use a separate mousewheel scroll speed in raid
# Setting type: Boolean
# Default value: false
Use Different Scrolling Speed in Raid = false

## A separate mousewheel scroll speed for in raid
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 1 to 10
Mousewheel Scrolling Speed in Raid = 1

[E. Interface Keybinds]

## Use the Home and End keys to scroll to the top and bottom of inventories
# Setting type: Boolean
# Default value: true
Enable Home/End Keys = true

## Change PageUp and PageDown to scroll up and down one page
# Setting type: Boolean
# Default value: true
Rebind PageUp/PageDown (requires restart) = true

## Keybind to highlight the search box in hideout crafting, handbook, and flea market
# Setting type: KeyboardShortcut
# Default value: F + LeftControl
Highlight Search Box = F + LeftControl

## When using a textbox, prevent keybinds bound to alphanumeric keys from firing
# Setting type: Boolean
# Default value: true
Block Keybinds While Typing = true

[F. Item Keybinds]

## Keybind to inspect an item
# Setting type: KeyboardShortcut
# Default value: I
Inspect Shortcut = I

## Keybind to open a container
# Setting type: KeyboardShortcut
# Default value: O
Open Shortcut = O

## Keybind to examine an item, fold it, unfold it, turn it on, turn it off, or check a magazine
# Setting type: KeyboardShortcut
# Default value: None
Examine/Interact Shortcut = 

## Keybind to top up an ammo stack
# Setting type: KeyboardShortcut
# Default value: T
Top Up Ammo Shortcut = T

## Keybind to use an item, such a consumable
# Setting type: KeyboardShortcut
# Default value: None
Use Item Shortcut = 

## Keybind to use all of an item, such a consumable. This will still work on items that don't have 'Use All', just 'Use', in their context menu.
# Setting type: KeyboardShortcut
# Default value: None
Use Item (All) Shortcut = 

## Keybind to reload a weapon. Note that this is solely in the menus, and doesn't affect the normal reload key.
# Setting type: KeyboardShortcut
# Default value: R
Reload Weapon Shortcut = R

## Keybind to unload the ammo in a magazine, or a magazine in a gun
# Setting type: KeyboardShortcut
# Default value: U
Unload Mag/Ammo Shortcut = U

## Keybind to install an attachment on currently equipped weapon
# Setting type: KeyboardShortcut
# Default value: None
Install Mod Shortcut = 

## Keybind to uninstall an attachment
# Setting type: KeyboardShortcut
# Default value: None
Uninstall Mod Shortcut = 

## Keybind to unpack a sealed weapons case, etc
# Setting type: KeyboardShortcut
# Default value: None
Unpack Shortcut = 

## Keybind to search flea market for this item
# Setting type: KeyboardShortcut
# Default value: F
Filter by Item Shortcut = F

## Keybind to search flea market for items linked to this item
# Setting type: KeyboardShortcut
# Default value: None
Linked Search Shortcut = 

## Keybind to search flea market for items to barter for this item
# Setting type: KeyboardShortcut
# Default value: None
Required Search Shortcut = 

## Keybind to list item on the flea market
# Setting type: KeyboardShortcut
# Default value: None
Add Offer Shortcut = 

## Keybind to pin an item (not moved during sort)
# Setting type: KeyboardShortcut
# Default value: None
Pin Item Shortcut = 

## Keybind to lock an item (cannot be moved, used, modified, sold, turned in, or discarded)
# Setting type: KeyboardShortcut
# Default value: None
Lock Item Shortcut = 

## Keybind to select all items of the same type in the current container (requires Multiselect)
# Setting type: KeyboardShortcut
# Default value: A + LeftControl
Select All of Type = A + LeftControl

## Keybind to transfer items to and from the sorting table. Will auto-open sorting table if necessary.
# Setting type: KeyboardShortcut
# Default value: None
Transfer to/from Sorting Table = 

## This setting lets you enable/disable the default Tarkov behavior of shift-clicking items to transfer them to the sorting table.
# Setting type: Boolean
# Default value: true
Shift-Click to Sorting Table = true

## In order for keybinds to work and not get mixed up with textboxes, key presses while mousing over an item will not be sent to the currently focused textbox
# Setting type: Boolean
# Default value: true
Block Text Inputs on Item Mouseover = true

[G. Gameplay Keybinds]

## Holding this modifer when activating a quickbound tactical device will switch its active mode
# Setting type: ModifierKey
# Default value: Shift
# Acceptable values: None, Shift, Control, Alt
Change Quickbound Tactical Mode = Shift

[H. Multiselect]

## Enable multiselect via Shift-click and drag-to-select. This cannot be used together with Auto-open Sorting Table
# Setting type: Boolean
# Default value: true
Enable Multiselect = true

## Enable multiselect functionality in raid.
# Setting type: Boolean
# Default value: true
Enable Multiselect In Raid = true

## Add items to the selection by shift-clicking them. If you disable this, the only way to multiselect is with the selection box
# Setting type: Boolean
# Default value: true
Enable Multiselect with Shift-Click = true

## Mouse button or keyboard key to hold while dragging to create a selection box. Press Reset to use Mouse0 (left mouse button)
# Setting type: KeyboardShortcut
# Default value: Mouse0
Selection Box Key = Mouse0

## Controls where multiselected items are placed, relative to the item being dragged
# Setting type: MultiSelectStrategy
# Default value: OriginalSpacing
# Acceptable values: FirstOpenSpace, SameRowOrLower, OriginalSpacing
Multiselect Item Placement = OriginalSpacing

## Enable multi-select debugging display
# Setting type: Boolean
# Default value: false
Show Multiselect Debug = false

[I. Item Swapping]

## Drag one item onto another to swap their positions, if possible
# Setting type: Boolean
# Default value: true
Enable In-Place Item Swapping = true

## When reloading a weapon with a magazine, swap locations with the new magazine if necessary (and possible)
# Setting type: Boolean
# Default value: true
Reload Magazines In-Place = true

## Always reload magazines in-place, even if there's space not to. Note that in-place reloads are slower.
# Setting type: Boolean
# Default value: false
Always Reload Magazines In-Place = false

## Enable swapping items with containers that could never fit that item due to size or filter restrictions. Disabled in raid to avoid costly mistakes.
# Setting type: Boolean
# Default value: false
Swap with Incompatible Containers = false

## Holding this modifer when moving items will force swap to take precedence over other interactions (except ammo)
# Setting type: ModifierKey
# Default value: Alt
# Acceptable values: None, Shift, Control, Alt
Force Swap Key = Alt

[J. Item Stacking]

## When sorting containers, first combine stacks of the same type. This will not be undone if the sorting fails.
# Setting type: Boolean
# Default value: true
Combine Stacks Before Sorting = true

## Allows automatic stacking of Found In Raid items with other items, making container interaction easier
# Setting type: Boolean
# Default value: false
Autostack Items with FiR Items = false

[K. Containers]

## Allow items to be placed into unsearched containers
# Setting type: Boolean
# Default value: false
Allow Adding to Unsearched Containers = false

## Change internal ordering of grids in rigs/backpacks to be left to right, top to bottom
# Setting type: Boolean
# Default value: true
Standardize Grid Order = false

## When adding items to containers with multiple slots, place the item in the smallest slot that can hold it, rather than just the first empty space. Requires Standardize Grid Order.
# Setting type: Boolean
# Default value: false
Prioritize Smaller Slots (requires restart) = false

## Add a flyout to the Open context menu to recursively open a stack of containers
# Setting type: Boolean
# Default value: true
Open All Context Flyout = true

## When there isn't enough space to show both the tag and the name of an item, show the tag
# Setting type: Boolean
# Default value: true
Prioritize Tags Over Names = true

## Enabling adding tags to backpacks. For reasons, the game client must be restarted for changes to take effect.
# Setting type: Boolean
# Default value: true
Tag Backpacks (requires restart) = true

## Enable adding tags to vests. For reasons, the game client must be restarted for changes to take effect.
# Setting type: Boolean
# Default value: true
Tag Vests (requires restart) = true

## When an item won't fit in a grid, show an outline so you can tell how it doesn't fit by
# Setting type: Boolean
# Default value: true
Show Border for Oversized Items = true

[L. Inspect Windows]

## Item mods will show stats that include mods attached to them (you can also control this from a mod's inspect window)
# Setting type: Boolean
# Default value: true
Show Total Stats on Mods = true

## In addition to the default behavior of compatible components shading green, slots that can accept the mod will have a green border
# Setting type: Boolean
# Default value: true
Highlight Compatible Slots = true

## Slots that can accept and item or mod will show a green border even if they are already filled
# Setting type: Boolean
# Default value: true
Highlight Filled Slots = true

## Save the size of the inspect window when you resize it
# Setting type: Boolean
# Default value: true
Remember Window Size = true

## Keep the 3D preview from growing when you resize inspect windows
# Setting type: Boolean
# Default value: true
Lock Inspect Preview Size = true

## Automatically stretch the inspect window to fit as much of the description as possible
# Setting type: Boolean
# Default value: true
Auto-expand to Fit Description = true

## Keybind to snap the inspect panel to the left half of the screen
# Setting type: KeyboardShortcut
# Default value: LeftArrow
Snap Window Left shortcut = LeftArrow

## Keybind to snap the inspect panel to the right half of the screen
# Setting type: KeyboardShortcut
# Default value: RightArrow
Snap Window Right shortcut = RightArrow

## Clean up and colorize item stats
# Setting type: Boolean
# Default value: true
Style Attribute Panels = true

## Adds snap left and snap right buttons to container windows too
# Setting type: Boolean
# Default value: true
Add Left/Right Buttons on Containers = true

[M. Stash]

## Remember your scroll position all the places you see your stash - inventory, trading screen, mail screen, etc.
# Setting type: Boolean
# Default value: false
Synchronize Stash Scroll Position = false

## Automatically open the sorting table if it's closed when you shift-click an item. This and Enable Multiselect cannot be used together.
# Setting type: Boolean
# Default value: false
Auto-open Sorting Table = false

## Show your GP coins wherever your currency is displayed
# Setting type: Boolean
# Default value: true
Show GP Coins in Currency = true

[N. Trading]

## Click a trader's item, switch to buy mode. Control-click your item, switch to sell mode.
# Setting type: Boolean
# Default value: true
Autoswitch Buy/Sell when Trading = true

## When a trader only has new operational quests, show a different icon than when they have new quests
# Setting type: Boolean
# Default value: true
Show Daily Quest Icon on Traders = true

## Show a new icon on traders when you have quest items in your stash to hand over
# Setting type: Boolean
# Default value: true
Show Hand Over Items Icon on Traders = true

## Show a new icon on the trader's quest list when you have quest items in your stash to hand over
# Setting type: Boolean
# Default value: true
Show Hand Over Items Icon on Quests = true

## The trading screen will start at the last trader you visited, even after completely closing the trading screen
# Setting type: Boolean
# Default value: false
Remember Last Trader = false

## Whether the show the Out of Stock toggle on the trading screen
# Setting type: Boolean
# Default value: true
Show Out of Stock Toggle = true

## Keybind to set the quantity to all in the item purchase dialog. Equivalent to clicking the ALL button.
# Setting type: KeyboardShortcut
# Default value: A
Purchase Dialog ALL Shortcut = A

[O. Flea Market]

## Keep a history of flea market searches and filters, and show a back button to navigate it
# Setting type: Boolean
# Default value: true
Show Filter Back Button = true

## Show item icons for barters instead of the generic barter icon
# Setting type: Boolean
# Default value: true
Show Barter Icons = true

## Add a context menu to empty mod slots and allow linked searches for specifically that slot
# Setting type: Boolean
# Default value: true
Enable Linked Slot Search = true

## For trader items locked behind quest completion, add the name of the quest to the tooltip
# Setting type: Boolean
# Default value: true
Show Required Quest for Locked Offers = true

## Searches will auto-expand categories in the left panel if there is room wtihout scrolling
# Setting type: Boolean
# Default value: true
Auto-expand Categories = true

## Pressing Enter after typing in the flea search bar will clear non-default filters
# Setting type: Boolean
# Default value: true
Clear Filters on Search = true

[P. Add Offer]

## Autopopulte new offers with min/avg/max market price, or leave blank
# Setting type: AutoFleaPrice
# Default value: None
# Acceptable values: None, Minimum, Average, Maximum
Autopopulate Offer Price = None

## Automatically multiply or divide the price when you check/uncheck bulk, or or when you change the number of selected items while bulk is checked.
# Setting type: Boolean
# Default value: true
Update Offer Price on Bulk = true

## Don't close the Add Offer window after you place an offer. Note that the window will still close if you are at max offers.
# Setting type: Boolean
# Default value: false
Keep Add Offer Window Open = false

## Specifically for the Keep Add Offers Window Open, this setting will keep the window open even if you're at max offers.
# Setting type: Boolean
# Default value: false
Keep Add Offer Window Open: Ignore Max Offers = false

## Remember the state of the Autoselect Similar checkbox in the Add Offer window
# Setting type: Boolean
# Default value: true
Remember Add Offer Autoselect Similar = true

[Q. Hideout]

## Change the behavior of auto-wishlisting hideout upgrades, if you have that EFT feature enabled:
## Normal: EFT default, items will only be wishlisted if all other requirements are met
## Visible Upgrades: Items in any upgrade you can view will be wishlisted, even if there are rep, skill, or other upgrade requirements
## All Upgrades: Items will be wishlisted for every upgrade, even for areas you haven't unlocked yet
# Setting type: AutoWishlistBehavior
# Default value: Normal
# Acceptable values: Normal, Visible, All
Hideout Upgrade Wishlisting = Normal

## Auto-wishlisted hideout upgrades will only show the hideout icon if they are FiR (and upgrades requires FiR)
# Setting type: Boolean
# Default value: true
Hideout Upgrade Wishlist Respects FiR = true

## Persist the crafting search filter even when you exit that hideout area
# Setting type: Boolean
# Default value: false
Remember Craft Search = false

[R. Weapons]

## The Load and Reload context menu actions are permanently disabled for weapons with internal magazines. Enable this setting if you want to see it anyway.
# Setting type: Boolean
# Default value: false
Show Internal Mag (Re)load Context Menu = false

## Add context menu actions to load and unload ammo for weapons with internal magazines or multiple barrels (shotguns, revolvers, bolt actions)
# Setting type: Boolean
# Default value: true
Show Internal Mag Load/Unload Ammo = true

